Loading...
Searching...
No Matches
Halide::GeneratorInput< T > Class Template Reference

`#include <Generator.h>`

Inheritance diagram for Halide::GeneratorInput< T >:

## Public Member Functions

| GeneratorInput (const std::string &name)
| GeneratorInput (const std::string &name, const TBase &def)
| GeneratorInput (size_t array_size, const std::string &name, const TBase &def)
| GeneratorInput (const std::string &name, const TBase &def, const TBase &min, const TBase &max)
| GeneratorInput (size_t array_size, const std::string &name, const TBase &def, const TBase &min, const TBase &max)
| GeneratorInput (const std::string &name, const Type &t, int d)
| GeneratorInput (const std::string &name, const Type &t)
| GeneratorInput (const std::string &name, IntIfNonScalar d)
| GeneratorInput (size_t array_size, const std::string &name, const Type &t, int d)
| GeneratorInput (size_t array_size, const std::string &name, const Type &t)
| GeneratorInput (size_t array_size, const std::string &name, IntIfNonScalar d)
| GeneratorInput (size_t array_size, const std::string &name)

## Protected Types

using | TBase = typename Super::TBase
using | IntIfNonScalar

## Detailed Description

template<typename T>
class Halide::GeneratorInput< T >

Definition at line 2186 of file Generator.h.

## Member Typedef Documentation

## TBase

template<typename T>

using Halide::GeneratorInput< T >::TBase = typename Super::TBase

protected

Definition at line 2191 of file Generator.h.

## IntIfNonScalar

template<typename T>

using Halide::GeneratorInput< T >::IntIfNonScalar

protected

Initial value:
typename Internal::select_type<
Internal::cond<Internal::has_static_halide_type_method<TBase>::value, int>,
Internal::cond<std::is_same<TBase, Func>::value, int>,
Internal::cond<true, Unused>>::type
Halide::Internal::cond
Definition Generator.h:380
Halide::Internal::select_type
Definition Generator.h:386

Definition at line 2197 of file Generator.h.

## Constructor & Destructor Documentation

## GeneratorInput() [1/12]

template<typename T>

Halide::GeneratorInput< T >::GeneratorInput | ( | const std::string & | name | ) |

inline explicit

Definition at line 2207 of file Generator.h.

## GeneratorInput() [2/12]

template<typename T>

Halide::GeneratorInput< T >::GeneratorInput | ( | const std::string & | name,
|  | const TBase & | def )

inline explicit

Definition at line 2211 of file Generator.h.

## GeneratorInput() [3/12]

template<typename T>

Halide::GeneratorInput< T >::GeneratorInput | ( | size_t | array_size,
|  | const std::string & | name,
|  | const TBase & | def )

inline explicit

Definition at line 2215 of file Generator.h.

## GeneratorInput() [4/12]

template<typename T>

Halide::GeneratorInput< T >::GeneratorInput | ( | const std::string & | name,
|  | const TBase & | def,
|  | const TBase & | min,
|  | const TBase & | max )

inline explicit

Definition at line 2219 of file Generator.h.

References Halide::max(), and Halide::min().

## GeneratorInput() [5/12]

template<typename T>

Halide::GeneratorInput< T >::GeneratorInput | ( | size_t | array_size,
|  | const std::string & | name,
|  | const TBase & | def,
|  | const TBase & | min,
|  | const TBase & | max )

inline explicit

Definition at line 2224 of file Generator.h.

References Halide::max(), and Halide::min().

## GeneratorInput() [6/12]

template<typename T>

Halide::GeneratorInput< T >::GeneratorInput | ( | const std::string & | name,
|  | const Type & | t,
|  | int | d )

inline explicit

Definition at line 2229 of file Generator.h.

## GeneratorInput() [7/12]

template<typename T>

Halide::GeneratorInput< T >::GeneratorInput | ( | const std::string & | name,
|  | const Type & | t )

inline explicit

Definition at line 2233 of file Generator.h.

## GeneratorInput() [8/12]

template<typename T>

Halide::GeneratorInput< T >::GeneratorInput | ( | const std::string & | name,
|  | IntIfNonScalar | d )

inline explicit

Definition at line 2238 of file Generator.h.

## GeneratorInput() [9/12]

template<typename T>

Halide::GeneratorInput< T >::GeneratorInput | ( | size_t | array_size,
|  | const std::string & | name,
|  | const Type & | t,
|  | int | d )

inline explicit

Definition at line 2242 of file Generator.h.

## GeneratorInput() [10/12]

template<typename T>

Halide::GeneratorInput< T >::GeneratorInput | ( | size_t | array_size,
|  | const std::string & | name,
|  | const Type & | t )

inline explicit

Definition at line 2246 of file Generator.h.

## GeneratorInput() [11/12]

template<typename T>

Halide::GeneratorInput< T >::GeneratorInput | ( | size_t | array_size,
|  | const std::string & | name,
|  | IntIfNonScalar | d )

inline explicit

Definition at line 2252 of file Generator.h.

## GeneratorInput() [12/12]

template<typename T>

Halide::GeneratorInput< T >::GeneratorInput | ( | size_t | array_size,
|  | const std::string & | name )

inline explicit

Definition at line 2256 of file Generator.h.

The documentation for this class was generated from the following file:

- src/Generator.h